<template>
    <div class="card bg-base-100 shadow-xl image-full opacity-80 hover:opacity-100 hover:bg-primary">
      <figure v-if="imgSrc"><img :src="imgSrc" /></figure>
      <div class="card-body">
        <h1 class="text-center">
          <span class="material-symbols-outlined" style="font-size: 20px !important;">{{ icon }}</span> {{ title }}
        </h1>
        <p class="text-sm" v-html="description"></p>
        <!-- <div class="card-actions justify-end">
              <button class="btn btn-primary">Go to Section &raquo;</button>
          </div> -->
      </div>
    </div>
  </template>
  
  <script>
  export default {
    props: {
      imgSrc: {
        type: String,
        required: false,
      },
      title: {
        type: String,
        required: true,
      },
      description: {
        type: String,
        required: false,
      },
      icon: {
        type: String,
        required: false,
      },
    },
    mounted() {
      console.log(this.imgSrc);
    },
  };
  </script>
  
  <style scoped>
  .card:hover {
    opacity: 1;
    color: theme('colors.primary')
  }
  </style>
  